**Flycheck** is a modern on-the-fly syntax checking extension for GNU Emacs 24,
intended as replacement for the older Flymake extension which is part of GNU
Emacs.

It uses various syntax checking and linting tools to check the contents of
buffers, and reports warnings and errors directly in the buffer or in an
optional error list:

![](/usr/share/doc/elpa-flycheck/examples/flycheck-annotated.png)

Features
--------

- Supports over 30 programming and markup languages with more than 70 different
  syntax checking tools
- Fully automatic, fail-safe, on-the-fly syntax checking in background
- Nice error indication and highlighting
- Optional error list popup
- Many customization options
- A comprehensive manual
- A simple interface to define new syntax checkers
- A “doesn't get in your way” guarantee
- Many [3rd party extensions](http://flycheck.org/extensions.html)

Installation
------------

Add the following to your init file:

    (add-hook 'after-init-hook #'global-flycheck-mode)

If you don’t know where your init file is, look at the value of the variable
`user-init-file` with `C-h v user-init-file`.

See the Installation and Quick start nodes in Flycheck's info manual
for details.

Documentation
=============

Documentation is available at http://www.flycheck.org:

- [Quick start][] (tutorial)
- [User manual](http://www.flycheck.org/manual/latest/Usage.html#Usage)
  (reference information)

or type `info flycheck` at your shell.

Support & Contribution
======================

- [Stack Exchange](https://emacs.stackexchange.com/questions/tagged/flycheck)
- [Issue Tracker](https://github.com/flycheck/flycheck/issues)
- [Waffle Board](http://waffle.io/flycheck/flycheck)
- [Github](https://github.com/flycheck/flycheck)
- [Contribution guidelines](https://github.com/flycheck/flycheck/blob/master/CONTRIBUTING.md)

Credits
=======

- [Contributors](https://github.com/flycheck/flycheck/graphs/contributors)
- [Credits](https://github.com/flycheck/flycheck/blob/master/CREDITS.md)
